package com.goomood.phm.domain;

import com.goomood.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.goomood.common.annotation.Excel;

/**
 * 预警设置对象 fault_setting
 * 
 * @author goomood
 * @date 2024-11-17
 */
public class FaultSetting extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 故障率较高飞机 */
    @Excel(name = "故障率较高飞机")
    private String highFaultPlanes;

    /** 单机当月故障 */
    @Excel(name = "单机当月故障")
    private String monthPlaneFaults;

    /** 月份系统故障 */
    @Excel(name = "月份系统故障")
    private String monthSysFaults;

    /** 月份机件故障 */
    @Excel(name = "月份机件故障")
    private String monthPartFaults;

    /** 三月未处理故障 */
    @Excel(name = "三月未处理故障")
    private String threeMonthOpen;

    /** 上月系统异常 */
    @Excel(name = "上月系统异常")
    private String lastSysErrors;

    /** 上月机件异常 */
    @Excel(name = "上月机件异常")
    private String lastPartErrors;

    /** $column.columnComment */
    private String column9;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setHighFaultPlanes(String highFaultPlanes) 
    {
        this.highFaultPlanes = highFaultPlanes;
    }

    public String getHighFaultPlanes() 
    {
        return highFaultPlanes;
    }
    public void setMonthPlaneFaults(String monthPlaneFaults) 
    {
        this.monthPlaneFaults = monthPlaneFaults;
    }

    public String getMonthPlaneFaults() 
    {
        return monthPlaneFaults;
    }
    public void setMonthSysFaults(String monthSysFaults) 
    {
        this.monthSysFaults = monthSysFaults;
    }

    public String getMonthSysFaults() 
    {
        return monthSysFaults;
    }
    public void setMonthPartFaults(String monthPartFaults) 
    {
        this.monthPartFaults = monthPartFaults;
    }

    public String getMonthPartFaults() 
    {
        return monthPartFaults;
    }
    public void setThreeMonthOpen(String threeMonthOpen) 
    {
        this.threeMonthOpen = threeMonthOpen;
    }

    public String getThreeMonthOpen() 
    {
        return threeMonthOpen;
    }
    public void setLastSysErrors(String lastSysErrors) 
    {
        this.lastSysErrors = lastSysErrors;
    }

    public String getLastSysErrors() 
    {
        return lastSysErrors;
    }
    public void setLastPartErrors(String lastPartErrors) 
    {
        this.lastPartErrors = lastPartErrors;
    }

    public String getLastPartErrors() 
    {
        return lastPartErrors;
    }
    public void setColumn9(String column9) 
    {
        this.column9 = column9;
    }

    public String getColumn9() 
    {
        return column9;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("highFaultPlanes", getHighFaultPlanes())
            .append("monthPlaneFaults", getMonthPlaneFaults())
            .append("monthSysFaults", getMonthSysFaults())
            .append("monthPartFaults", getMonthPartFaults())
            .append("threeMonthOpen", getThreeMonthOpen())
            .append("lastSysErrors", getLastSysErrors())
            .append("lastPartErrors", getLastPartErrors())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("column9", getColumn9())
            .toString();
    }
}
